package com.jz.dmp.modules.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 任务与规则关系表(DvTaskRuleT)实体类
 *
 * @author makejava
 * @since 2020-12-30 15:17:26
 */
@ApiModel(value = "任务与规则关系表", description = "任务与规则关系表")
public class DvTaskRuleT implements Serializable {
    private static final long serialVersionUID = -23295925034569493L;
    /**
     * 任务与规则ID
     */
    @ApiModelProperty(value = "任务与规则ID")
    private Long taskRuleId;
    /**
     * 任务ID
     */
    @ApiModelProperty(value = "任务ID")
    private String taskId;
    /**
     * 规则ID
     */
    @ApiModelProperty(value = "规则ID")
    private Long ruleId;
    /**
     * content(json)
     */
    @ApiModelProperty(value = "content(json)")
    private String ruleValue;
    /**
     * 是否删除状态 0-删除 1-未删除
     */
    @ApiModelProperty(value = "是否删除状态 0-删除 1-未删除")
    private Object delFlag;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 最后更新人
     */
    @ApiModelProperty(value = "最后更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


    public Long getTaskRuleId() {
        return taskRuleId;
    }

    public void setTaskRuleId(Long taskRuleId) {
        this.taskRuleId = taskRuleId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public String getRuleValue() {
        return ruleValue;
    }

    public void setRuleValue(String ruleValue) {
        this.ruleValue = ruleValue;
    }

    public Object getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Object delFlag) {
        this.delFlag = delFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}